> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List extended namespace states

> Returns a list of extended namespace states



## OpenAPI

````yaml /api_v1.json get /api/v1/local/namespace/extended
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/local/namespace/extended:
    get:
      tags:
        - local
      summary: List extended namespace states
      description: Returns a list of extended namespace states
      operationId: getNamespaceStatesExtended
      parameters: []
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionNamespaceStateExtended'
                title: ArrayList<SessionNamespaceStateExtended>
      deprecated: false
      security:
        - token: []
components:
  schemas:
    SessionNamespaceStateExtended:
      type: object
      description: The extended state of a namespace, including all sessions
      properties:
        base:
          $ref: '#/components/schemas/SessionNamespaceStateBase'
          description: Base namespace state
        sessions:
          type: array
          description: A list of sessions that exist inside this namespace
          items:
            $ref: '#/components/schemas/SessionStateBase'
          title: ArrayList<SessionStateBase>
      required:
        - base
        - sessions
      title: SessionNamespaceStateExtended
    SessionNamespaceStateBase:
      type: object
      description: The base state of a namespace, without session information
      properties:
        name:
          type: string
          description: The name of this namespace
          title: String
        deleteOnLastSessionExit:
          type: boolean
          description: >-
            Whether or not this namespace will be deleted when the last session
            exits
          title: Boolean
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - annotations
        - deleteOnLastSessionExit
        - name
      title: SessionNamespaceStateBase
    SessionStateBase:
      type: object
      description: The base state of a running session, without agent or threads
      properties:
        id:
          type: string
          description: The unique identifier for this session
          title: String
        timestamp:
          type: string
          description: The timestamp of when this state was generated
          title: UTC timestamp ISO-8601
        namespace:
          type: string
          description: The namespace that this session resides in
          title: String
        status:
          anyOf:
            - type: object
              description: |2-

                        The session is closing and will soon be removed from memory.  The closing status can only be observed when 
                        the session has persistence configure in SessionRuntimeSettings.  Note that there is no closed state for 
                        sessions, as closed sessions are deleted from memory
                        
              properties:
                type:
                  type: string
                  enum:
                    - closing
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
                closingTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - closingTime
                - executionTime
                - type
              title: closing
            - type: object
              description: >-
                This session status is only achieved when creating sessions with
                deferred execution
              properties:
                type:
                  type: string
                  enum:
                    - pending_execution
                  title: String
              required:
                - type
              title: pending_execution
            - type: object
              description: |2-

                        The session launched it's agents and is currently running.  The session's status will remain as running until:
                        
                        1. All the agents in the session exit, or
                        2. The session's TTL expires, or
                        3. Manual exit 
                        
              properties:
                type:
                  type: string
                  enum:
                    - executed
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - executionTime
                - type
              title: executed
          description: The status of the session
          discriminator:
            propertyName: type
          title: SessionStatus
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - annotations
        - id
        - namespace
        - status
        - timestamp
      title: SessionStateBase
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````